org.eclipse.actf.model.dom.dombycom

## Interface IFlashMSAANode

All Superinterfaces:
  IEvalTarget, INodeEx, Node

    public interface IFlashMSAANode
    extends INodeEx

The IFlashMSAANode interface defines the methods to be implemented by the MSAA object.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`INodeEx` `getBaseNode()`
`String` `getID()`
`IFlashMSAANode` `searchByID(String id)`

### Methods inherited from interface org.eclipse.actf.model.dom.dombycom.INodeEx

`analyze, doClick, extractString, getAccessKey, getHeadingLevel, getLinkURI, getLocation, getNth, getStillPictureData, getText, highlight, setFocus, setText, unhighlight`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Method Detail

#### getID

    String getID()

Returns:
  the unique ID of the node. A node should return an id.

#### searchByID

    IFlashMSAANode searchByID(String id)

Parameters:
  `id` - the id to be used for the search
Returns:
  the MSAA node specified by the id.

#### getBaseNode

    INodeEx getBaseNode()

Returns:
  the base node. It might be an object element of the Flash object.